<form class="ui form inverted" [formGroup]="userForm" (ngSubmit)="saveNewUser();">
    <h1>If you know you know</h1>

    <div class="required fluid field">
        <label>Username</label>
        <input type="text" formControlName="username"> 
    </div>

    <div class="ui negative inverted teal message" *ngIf="usernameHasErrors()">
        <ul>
            <li *ngFor = "let err of usernameErrors()"> {{err}} </li>
        </ul>
    </div>


    <div class="required fluid field">
        <label>Password</label>
        <input type="password" formControlName="password"> 
    </div>

    <div class="ui negative inverted teal message" *ngIf="passwordHasErrors()">
        <ul>
            <li *ngFor = "let err of passwordErrors()"> {{err}} </li>
        </ul>
    </div>

    <div class="required fluid field">
        <label>Email</label>
        <input type="email" formControlName="email"> 
    </div>

    <div class="ui negative inverted teal message" *ngIf="emailHasErrors()">
        <ul>
            <li *ngFor = "let err of emailErrors()"> {{err}} </li>
        </ul>
    </div>


    <button class="ui button huge teal inverted fluid" type="submit">SIGN UP</button>
</form>

